#ifndef _PARTIVIEW_H
#define _PARTIVIEW_H

#ifdef WIN32
# include <windows.h>
#endif

#include "partipanel.H"
#include "Gview.H"
#include "specks.h"
#include "partiviewc.h"

#include "Hist.H"

struct _ppui {
  struct stuff *st;

  int playing;
  int playevery;
  int playloop;
  int playidling;
  float playspeed;
  int framebase;
  float timebase;
  struct wfpath path;
  char *snapfmt;
  int snapfno;
  float censize;

  Fl_Window* mainwin;

  class Fl_Tile* maintile;
  Fl_Group* topclump;
  Fl_Group* toprow;
  Fl_Pack*  objtogs;
  Fl_Group* objgroup;
  Fl_Menu_Button* more;
  Fl_Menu_Button* obj;
  Fl_Menu_Button* nav;
  Fl_Light_Button* point;
  Fl_Light_Button* poly;
  Fl_Light_Button* label;
  Fl_Light_Button* texture;
  Fl_Light_Button* box;
  Fl_Value_Slider* slum;

  Fl_Menu_Button* playmenu;


  Fl_Group* animrow;
  Fl_Button* rdata;
  Fl_Button* play;
  Fl_Counter* playframe;
  Fl_Value_Slider* playtime;

  Hist *cmdhist;

  Fl_Gview* view;
};


extern struct _ppui  ppui;

extern void ppui_refresh( struct stuff * );
extern int specks_commandfmt( struct stuff **, const char *fmt, ... );

#endif /*_PARTIVIEW_H*/
